=== debian/changelog ===
harmonoid (0.3.4-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sat, 17 Dec 2022 18:20:46 +0100
